-- Customer specific once-script BLCC11.
--
-- (c) 2016 Facilitor B.V.
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xBLCC11.lst
SET DEFINE OFF

-- Als oude Doorbelasten-vinkje (61) gezet, dan nieuwe Doorbelasten-veld (201
-- voor Workorder en 202 voor Splitorder) op Ja (= 281)!
INSERT INTO mld_kenmerkopdr (mld_opdr_key, mld_kenmerk_key, mld_kenmerkopdr_waarde)
   SELECT o.mld_opdr_key, DECODE (o.mld_typeopdr_key, 101, 201, 202), '281'
     FROM mld_opdr o, mld_v_aanwezigkenmerkopdr ko, mld_kenmerk k
    WHERE     o.mld_typeopdr_key IN (101, 102)         -- Workorder/Splitorder
          AND o.mld_opdr_key = ko.mld_opdr_key
          AND ko.mld_kenmerk_key = k.mld_kenmerk_key
          AND k.mld_srtkenmerk_key = 61;

COMMIT;
BEGIN adm.systrackscriptId('$Id$'); END;
/
SPOOL OFF
@blcc.sql
